Subject: Re: [TLS] New Version Notification for draft-mattsson-tls-ecdhe-psk-aead-02.txt

From: John Mattsson <[email-masked]>
Date: Sat, 25 Jul 2015 09:28:12 +0000

Thanks for the good comments during the meeting. This new version should
take care of them all:

- Updated the PRF and ECC curves for the AES-256 cipher suites.
- Included SHA_256 and SHA_384 in the cipher suite names.
- Made it clear which security considerations that apply. For the PSK
aspects, I made a short summary.

I also made the following changes:

- Fixed a wrong reference to the ECC TLS RFC.
- Added missing reference to AEAD_AES_128_CCM_8
- Divided the references into Normative and Informal

How do we proceed with this now? From my point of view the draft is more
or less done, and I do not see much work needed from the tls wg.

(As a note, this draft would not have been needed with an a la carte
system). 

Cheers,
John

On 25/07/15 10:36, "[email-masked]" <[email-masked]>
wrote:

>
>A new version of I-D, draft-mattsson-tls-ecdhe-psk-aead-02.txt
>has been successfully submitted by John Mattsson and posted to the
>IETF repository.
>
>Name:		draft-mattsson-tls-ecdhe-psk-aead
>Revision:	02
>Title:		ECDHE_PSK with AES-GCM and AES-CCM Cipher Suites for Transport
>Layer Security (TLS)
>Document date:	2015-07-24
>Group:		Individual Submission
>Pages:		6
>URL:            
>https://www.ietf.org/internet-drafts/draft-mattsson-tls-ecdhe-psk-aead-02.
>txt
>Status:         
>https://datatracker.ietf.org/doc/draft-mattsson-tls-ecdhe-psk-aead/
>Htmlized:       
>https://tools.ietf.org/html/draft-mattsson-tls-ecdhe-psk-aead-02
>Diff:           
>https://www.ietf.org/rfcdiff?url2=draft-mattsson-tls-ecdhe-psk-aead-02
>
>Abstract:
>   This memo defines several new cipher suites for the Transport Layer
>   Security (TLS) protocol.  The cipher suites are all based on the
>   Ephemeral Elliptic Curve Diffie-Hellman with Pre-Shared Key
>   (ECDHE_PSK) key exchange together with the Authenticated Encryption
>   with Associated Data (AEAD) algorithms AES-GCM and AES-CCM.  PSK
>   provides light and efficient authentication, ECDHE provides perfect
>   forward secrecy, and AES-GCM and AES-CCM provides encryption and
>   integrity protection.
>
>                  
>        
>
>
>Please note that it may take a couple of minutes from the time of
>submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat
>